Remover claves de archivos pdf protegidos

A veces existen documentos pdf que solicitan clave para visualizarlos. Para ello en Linux hacemos uso del programa qpdf.

 

 

 

 

└─> ¯\_(ツ)_/¯sudo yum install qpdf*
Complementos cargados:fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: mirror.ufam.edu.br
 * epel: epel.gtdinternet.com
 * extras: centos.brisanet.com.br
 * nux-dextop: li.nux.ro
 * rpmfusion-free-updates: mirror.math.princeton.edu
 * updates: mirror.facom.ufms.br
 * webtatic: us-east.repo.webtatic.com
 * zmrepo: 67.53.78.182
 * zmrepo-testing: 67.53.78.182
El paquete qpdf-libs-5.0.1-3.el7.x86_64 ya se encuentra instalado con su versión más reciente
Resolviendo dependencias
--> Ejecutando prueba de transacción
---> Paquete qpdf.x86_64 0:5.0.1-3.el7 debe ser instalado
---> Paquete qpdf-devel.x86_64 0:5.0.1-3.el7 debe ser instalado
---> Paquete qpdf-doc.noarch 0:5.0.1-3.el7 debe ser instalado
---> Paquete qpdfview.x86_64 0:0.4.16-3.el7 debe ser instalado
--> Procesando dependencias: libpoppler-qt4.so.14()(64bit) para el paquete: qpdfview-0.4.16-3.el7.x86_64
--> Procesando dependencias: libdjvulibre.so.21()(64bit) para el paquete: qpdfview-0.4.16-3.el7.x86_64
--> Ejecutando prueba de transacción
---> Paquete djvulibre-libs.x86_64 0:3.5.25.3-14.el7 debe ser instalado
---> Paquete poppler-qt.x86_64 0:0.26.5-17.el7_4 debe ser instalado
--> Procesando dependencias: poppler(x86-64) = 0.26.5-17.el7_4 para el paquete: poppler-qt-0.26.5-17.el7_4.x86_64
--> Ejecutando prueba de transacción
---> Paquete poppler.x86_64 0:0.26.5-16.el7 debe ser actualizado
--> Procesando dependencias: poppler(x86-64) = 0.26.5-16.el7 para el paquete: poppler-glib-0.26.5-16.el7.x86_64
--> Procesando dependencias: poppler(x86-64) = 0.26.5-16.el7 para el paquete: poppler-utils-0.26.5-16.el7.x86_64
---> Paquete poppler.x86_64 0:0.26.5-17.el7_4 debe ser una actualización
--> Ejecutando prueba de transacción
---> Paquete poppler-glib.x86_64 0:0.26.5-16.el7 debe ser actualizado
---> Paquete poppler-glib.x86_64 0:0.26.5-17.el7_4 debe ser una actualización
---> Paquete poppler-utils.x86_64 0:0.26.5-16.el7 debe ser actualizado
---> Paquete poppler-utils.x86_64 0:0.26.5-17.el7_4 debe ser una actualización
--> Resolución de dependencias finalizada

Dependencias resueltas

=================================================================================================================
 Package         Arquitectura             Versión                 Repositorio                       Tamaño
===================================================================================================================
Instalando:
 qpdf             x86_64                  5.0.1-3.el7             base                               46 k
 qpdf-devel       x86_64                  5.0.1-3.el7             base                               47 k
 qpdf-doc         noarch                  5.0.1-3.el7             base                              171 k
 qpdfview         x86_64                  0.4.16-3.el7            epel                              653 k
Instalando para las dependencias:
 djvulibre-libs   x86_64                  3.5.25.3-14.el7         epel                              609 k
 poppler-qt       x86_64                  0.26.5-17.el7_4         base                              166 k
Actualizando para las dependencias:
 poppler          x86_64                  0.26.5-17.el7_4         base                              783 k
 poppler-glib     x86_64                  0.26.5-17.el7_4         base                              137 k
 poppler-utils    x86_64                  0.26.5-17.el7_4         base                              168 k

Resumen de la transacción
===================================================================================================================
Instalar    4 Paquetes (+2 Paquetes dependientes)
Actualizar             ( 3 Paquetes dependientes)

Tamaño total de la descarga: 2.7 M
Is this ok [y/d/N]: y
Downloading packages:
No Presto metadata available for base
(1/9): poppler-glib-0.26.5-17.el7_4.x86_64.rpm                                       | 137 kB  00:00:01     
(2/9): qpdf-5.0.1-3.el7.x86_64.rpm                                                   |  46 kB  00:00:01     
(3/9): poppler-qt-0.26.5-17.el7_4.x86_64.rpm                                         | 166 kB  00:00:03     
(4/9): poppler-utils-0.26.5-17.el7_4.x86_64.rpm                                      | 168 kB  00:00:04     
(5/9): qpdf-devel-5.0.1-3.el7.x86_64.rpm                                             |  47 kB  00:00:01     
(6/9): djvulibre-libs-3.5.25.3-14.el7.x86_64.rpm                                     | 609 kB  00:00:05     
(7/9): qpdf-doc-5.0.1-3.el7.noarch.rpm                                               | 171 kB  00:00:03     
(8/9): poppler-0.26.5-17.el7_4.x86_64.rpm                                            | 783 kB  00:00:06     
(9/9): qpdfview-0.4.16-3.el7.x86_64.rpm                                              | 653 kB  00:00:03     
-------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                    290 kB/s | 2.7 MB  00:00:09     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Actualizando  : poppler-0.26.5-17.el7_4.x86_64                                         1/12 
  Instalando    : poppler-qt-0.26.5-17.el7_4.x86_64                                      2/12 
  Instalando    : djvulibre-libs-3.5.25.3-14.el7.x86_64                                  3/12 
  Instalando    : qpdfview-0.4.16-3.el7.x86_64                                           4/12 
  Actualizando  : poppler-glib-0.26.5-17.el7_4.x86_64                                    5/12 
  Actualizando  : poppler-utils-0.26.5-17.el7_4.x86_64                                   6/12 
  Instalando    : qpdf-5.0.1-3.el7.x86_64                                                7/12 
  Instalando    : qpdf-devel-5.0.1-3.el7.x86_64                                          8/12 
  Instalando    : qpdf-doc-5.0.1-3.el7.noarch                                            9/12 
  Limpieza      : poppler-utils-0.26.5-16.el7.x86_64                                    10/12 
  Limpieza      : poppler-glib-0.26.5-16.el7.x86_64                                     11/12 
  Limpieza      : poppler-0.26.5-16.el7.x86_64                                          12/12 
  Comprobando   : poppler-0.26.5-17.el7_4.x86_64                                         1/12 
  Comprobando   : qpdfview-0.4.16-3.el7.x86_64                                           2/12 
  Comprobando   : poppler-glib-0.26.5-17.el7_4.x86_64                                    3/12 
  Comprobando   : poppler-utils-0.26.5-17.el7_4.x86_64                                   4/12 
  Comprobando   : djvulibre-libs-3.5.25.3-14.el7.x86_64                                  5/12 
  Comprobando   : poppler-qt-0.26.5-17.el7_4.x86_64                                      6/12 
  Comprobando   : qpdf-doc-5.0.1-3.el7.noarch                                            7/12 
  Comprobando   : qpdf-devel-5.0.1-3.el7.x86_64                                          8/12 
  Comprobando   : qpdf-5.0.1-3.el7.x86_64                                                9/12 
  Comprobando   : poppler-glib-0.26.5-16.el7.x86_64                                     10/12 
  Comprobando   : poppler-utils-0.26.5-16.el7.x86_64                                    11/12 
  Comprobando   : poppler-0.26.5-16.el7.x86_64                                          12/12 

Instalado:
qpdf.x86_64 0:5.0.1-3.el7       qpdf-devel.x86_64 0:5.0.1-3.el7    qpdf-doc.noarch 0:5.0.1-3.el7             qpdfview.x86_64 0:0.4.16-3.el7            

Dependencia(s) instalada(s):
djvulibre-libs.x86_64 0:3.5.25.3-14.el7              poppler-qt.x86_64 0:0.26.5-17.el7_4                                              

Dependencia(s) actualizada(s):
poppler.x86_64 0:0.26.5-17.el7_4                    poppler-glib.x86_64 0:0.26.5-17.el7_4                    poppler-utils.x86_64 0:0.26.5-17.el7_4                   

¡Listo!
┌─[11:47:14] [dll /tmp]

Una vez instalado, procedemos a ejecutar el comando qpdf de la siguiente manera

 

┌─[11:47:14] [dll /tmp]
└─> ¯\_(ツ)_/¯qpdf --password=SolyLunitas --decrypt /tmp/Internetdetodo.pdf /tmp/internetSinClave.pdf
┌─[11:48:22] [dll /tmp]
└─> ¯\_(ツ)_/¯

Ya se puede revisar el documento. Al abrirlo no solicitará clave de acceso.

Views All Time
Views All Time
48
Views Today
Views Today
1

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *